using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioCaduniGruposMensagens
    {

        public IList<entidadeCaduniGruposMensagens> Select(entidadeCaduniGruposMensagens objCaduniGruposMensagens)
        {
            dalCaduniGruposMensagens dalCaduniGruposMensagens = null;

            var lstCaduniGruposMensagens = new List<entidadeCaduniGruposMensagens>();
            DataTable dt = null;

            try
            {
                dalCaduniGruposMensagens = new dalCaduniGruposMensagens();
                dt = dalCaduniGruposMensagens.Select(objCaduniGruposMensagens);

                foreach (DataRow dr in dt.Rows)
                {
                    objCaduniGruposMensagens = new entidadeCaduniGruposMensagens();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objCaduniGruposMensagens.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["ANO"]))
                        objCaduniGruposMensagens.ANO = Convert.ToInt32(dr["ANO"]);

                    if (!Convert.IsDBNull(dr["ID_CADUNI_GRUPOS"]))
                        objCaduniGruposMensagens.ID_CADUNI_GRUPOS = Convert.ToInt32(dr["ID_CADUNI_GRUPOS"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO_CADUNI_GRUPOS"]))
                        objCaduniGruposMensagens.DESCRICAO_CADUNI_GRUPOS = dr["DESCRICAO_CADUNI_GRUPOS"].ToString();

                    if (!Convert.IsDBNull(dr["ID_CADUNI_MENSAGENS"]))
                        objCaduniGruposMensagens.ID_CADUNI_MENSAGENS = Convert.ToInt32(dr["ID_CADUNI_MENSAGENS"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO_CADUNI_MENSAGENS"]))
                        objCaduniGruposMensagens.DESCRICAO_CADUNI_MENSAGENS = dr["DESCRICAO_CADUNI_MENSAGENS"].ToString();

                    if (!Convert.IsDBNull(dr["ID_CADUNI_TIPOS_MENSAGENS"]))
                        objCaduniGruposMensagens.ID_CADUNI_TIPOS_MENSAGENS = Convert.ToInt32(dr["ID_CADUNI_TIPOS_MENSAGENS"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO_CADUNI_TIPOS_MENSAGENS"]))
                        objCaduniGruposMensagens.DESCRICAO_CADUNI_TIPOS_MENSAGENS = dr["DESCRICAO_CADUNI_TIPOS_MENSAGENS"].ToString();

                    if (!Convert.IsDBNull(dr["ID_CADUNI_PROCESSOS"]))
                        objCaduniGruposMensagens.ID_CADUNI_PROCESSOS = Convert.ToInt32(dr["ID_CADUNI_PROCESSOS"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO_CADUNI_PROCESSOS"]))
                        objCaduniGruposMensagens.DESCRICAO_CADUNI_PROCESSOS = dr["DESCRICAO_CADUNI_PROCESSOS"].ToString();

                    if (!Convert.IsDBNull(dr["ATIVO"]))
                        objCaduniGruposMensagens.ATIVO = Convert.ToBoolean(dr["ATIVO"]);



                    lstCaduniGruposMensagens.Add(objCaduniGruposMensagens);
                }
                return lstCaduniGruposMensagens;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
